XmDropDownGetChild(library call)

NAME
XmDropDownGetChild — A DropDown function that is used to access a component

SYNOPSIS

#include <Xm/DropDown.h>
Widget XmDropDownGetChild(
Widget widget,
int child);

DESCRIPTION

XmDropDownGetChild is used to access a component within a DropDown. The parameters given to the function are the DropDown widget and a value indicating which component to access.

widget
    Specifies the DropDown widget ID.

child
    Specifies a component within the DropDown. The following are legal values for this parameter:

    •   XmDROPDOWN_LABEL

    •   XmDROPDOWN_TEXT

    •   XmDROPDOWN_ARROW_BUTTON

    •   XmDROPDOWN_LIST

For a complete definition of DropDown and its associated resources, see XmDropDown(3).

RETURN

Returns the widget ID of the specified DropDown component. An application should not assume that the returned widget will be of any particular class.

RELATED

XmDropDown(3).